com.corticon.rulesemf.canonicaltestmodel.testsheet

## Interface TestsheetPackage

- All Superinterfaces:
    org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

      public interface TestsheetPackage
      extends org.eclipse.emf.ecore.EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  See Also:
    `TestsheetFactory`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `TestsheetPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`
    `static int` | `DATA_DOCUMENT` The meta object id for the '`Data Document`' class
    `static int` | `DATA_DOCUMENT_FEATURE_COUNT` The number of structural features of the 'Data Document' class
    `static int` | `DATABASE_MODE` The meta object id for the '`Database Mode`' enum
    `static TestsheetPackage` | `eINSTANCE` The singleton instance of the package
    `static java.lang.String` | `eNAME` The package name
    `static java.lang.String` | `eNS_PREFIX` The package namespace name
    `static java.lang.String` | `eNS_URI` The package namespace URI
    `static int` | `INPUT` The meta object id for the '`Input`' class
    `static int` | `INPUT_FEATURE_COUNT` The number of structural features of the 'Input' class
    `static int` | `OUTPUT` The meta object id for the '`Output`' class
    `static int` | `OUTPUT__POSTED_MESSAGE` The feature id for the 'Posted Message' containment reference list
    `static int` | `OUTPUT_FEATURE_COUNT` The number of structural features of the 'Output' class
    `static int` | `POSTED_MESSAGE` The meta object id for the '`Posted Message`' class
    `static int` | `POSTED_MESSAGE__SEVERITY` The feature id for the 'Severity' attribute
    `static int` | `POSTED_MESSAGE__TEXT` The feature id for the 'Text' attribute
    `static int` | `POSTED_MESSAGE_FEATURE_COUNT` The number of structural features of the 'Posted Message' class
    `static int` | `RETURN_ENTITY_MODE` The meta object id for the '`Return Entity Mode`' enum
    `static int` | `TESTSHEET` The meta object id for the '`Testsheet`' class
    `static int` | `TESTSHEET__CASCADE` The feature id for the 'Cascade' attribute
    `static int` | `TESTSHEET__DATABASE_MODE` The feature id for the 'Database Mode' attribute
    `static int` | `TESTSHEET__DECISION_SERVICE_NAME` The feature id for the 'Decision Service Name' attribute
    `static int` | `TESTSHEET__EXPECTED_OUTPUT` The feature id for the 'Expected Output' containment reference
    `static int` | `TESTSHEET__INPUT` The feature id for the 'Input' containment reference
    `static int` | `TESTSHEET__OUTPUT` The feature id for the 'Output' containment reference
    `static int` | `TESTSHEET__REMOTE_SERVER_URI` The feature id for the 'Remote Server Uri' attribute
    `static int` | `TESTSHEET__RESTRICT_INFO_RULE_MESSAGES` The feature id for the 'Restrict Info Rule Messages' attribute
    `static int` | `TESTSHEET__RESTRICT_VIOLATION_RULE_MESSAGES` The feature id for the 'Restrict Violation Rule Messages' attribute
    `static int` | `TESTSHEET__RESTRICT_WARNING_RULE_MESSAGES` The feature id for the 'Restrict Warning Rule Messages' attribute
    `static int` | `TESTSHEET__RETURN_ENTITY_MODE` The feature id for the 'Return Entity Mode' attribute
    `static int` | `TESTSHEET__RULE_ACTIVITY` The feature id for the 'Rule Activity' reference
    `static int` | `TESTSHEET__RULE_ACTIVITY_UPDATE_STAMP` The feature id for the 'Rule Activity Update Stamp' attribute
    `static int` | `TESTSHEET_FEATURE_COUNT` The number of structural features of the 'Testsheet' class

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.ecore.EEnum` | `getDatabaseMode()` Returns the meta object for enum '`Database Mode`'
    `org.eclipse.emf.ecore.EClass` | `getDataDocument()` Returns the meta object for class '`Data Document`'
    `org.eclipse.emf.ecore.EClass` | `getInput()` Returns the meta object for class '`Input`'
    `org.eclipse.emf.ecore.EReference` | `getOutput_PostedMessage()` Returns the meta object for the containment reference list '`Posted Message`'
    `org.eclipse.emf.ecore.EClass` | `getOutput()` Returns the meta object for class '`Output`'
    `org.eclipse.emf.ecore.EAttribute` | `getPostedMessage_Severity()` Returns the meta object for the attribute '`Severity`'
    `org.eclipse.emf.ecore.EAttribute` | `getPostedMessage_Text()` Returns the meta object for the attribute '`Text`'
    `org.eclipse.emf.ecore.EClass` | `getPostedMessage()` Returns the meta object for class '`Posted Message`'
    `org.eclipse.emf.ecore.EEnum` | `getReturnEntityMode()` Returns the meta object for enum '`Return Entity Mode`'
    `org.eclipse.emf.ecore.EAttribute` | `getTestsheet_Cascade()` Returns the meta object for the attribute '`Cascade`'
    `org.eclipse.emf.ecore.EAttribute` | `getTestsheet_DatabaseMode()` Returns the meta object for the attribute '`Database Mode`'
    `org.eclipse.emf.ecore.EAttribute` | `getTestsheet_DecisionServiceName()` Returns the meta object for the attribute '`Decision Service Name`'
    `org.eclipse.emf.ecore.EReference` | `getTestsheet_ExpectedOutput()` Returns the meta object for the containment reference '`Expected Output`'
    `org.eclipse.emf.ecore.EReference` | `getTestsheet_Input()` Returns the meta object for the containment reference '`Input`'
    `org.eclipse.emf.ecore.EReference` | `getTestsheet_Output()` Returns the meta object for the containment reference '`Output`'
    `org.eclipse.emf.ecore.EAttribute` | `getTestsheet_RemoteServerUri()` Returns the meta object for the attribute '`Remote Server Uri`'
    `org.eclipse.emf.ecore.EAttribute` | `getTestsheet_RestrictInfoRuleMessages()` Returns the meta object for the attribute '`Restrict Info Rule Messages`'
    `org.eclipse.emf.ecore.EAttribute` | `getTestsheet_RestrictViolationRuleMessages()` Returns the meta object for the attribute '`Restrict Violation Rule Messages`'
    `org.eclipse.emf.ecore.EAttribute` | `getTestsheet_RestrictWarningRuleMessages()` Returns the meta object for the attribute '`Restrict Warning Rule Messages`'
    `org.eclipse.emf.ecore.EAttribute` | `getTestsheet_ReturnEntityMode()` Returns the meta object for the attribute '`Return Entity Mode`'
    `org.eclipse.emf.ecore.EReference` | `getTestsheet_RuleActivity()` Returns the meta object for the reference '`Rule Activity`'
    `org.eclipse.emf.ecore.EAttribute` | `getTestsheet_RuleActivityUpdateStamp()` Returns the meta object for the attribute '`Rule Activity Update Stamp`'
    `org.eclipse.emf.ecore.EClass` | `getTestsheet()` Returns the meta object for class '`Testsheet`'
    `TestsheetFactory` | `getTestsheetFactory()` Returns the factory that creates the instances of the model

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

    - #### eNAME

          static final java.lang.String eNAME

      The package name.
      See Also:
        Constant Field Values

    - #### eNS_URI

          static final java.lang.String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values

    - #### eNS_PREFIX

          static final java.lang.String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values

    - #### eINSTANCE

          static final TestsheetPackage eINSTANCE

      The singleton instance of the package.

    - #### TESTSHEET

          static final int TESTSHEET

      The meta object id for the '`Testsheet`' class.
      See Also:
        `TestsheetImpl`, `TestsheetPackageImpl.getTestsheet()`, Constant Field Values

    - #### TESTSHEET__CASCADE

          static final int TESTSHEET__CASCADE

      The feature id for the 'Cascade' attribute.
      See Also:
        Constant Field Values

    - #### TESTSHEET__RULE_ACTIVITY_UPDATE_STAMP

          static final int TESTSHEET__RULE_ACTIVITY_UPDATE_STAMP

      The feature id for the 'Rule Activity Update Stamp' attribute.
      See Also:
        Constant Field Values

    - #### TESTSHEET__REMOTE_SERVER_URI

          static final int TESTSHEET__REMOTE_SERVER_URI

      The feature id for the 'Remote Server Uri' attribute.
      See Also:
        Constant Field Values

    - #### TESTSHEET__DECISION_SERVICE_NAME

          static final int TESTSHEET__DECISION_SERVICE_NAME

      The feature id for the 'Decision Service Name' attribute.
      See Also:
        Constant Field Values

    - #### TESTSHEET__DATABASE_MODE

          static final int TESTSHEET__DATABASE_MODE

      The feature id for the 'Database Mode' attribute.
      See Also:
        Constant Field Values

    - #### TESTSHEET__RETURN_ENTITY_MODE

          static final int TESTSHEET__RETURN_ENTITY_MODE

      The feature id for the 'Return Entity Mode' attribute.
      See Also:
        Constant Field Values

    - #### TESTSHEET__INPUT

          static final int TESTSHEET__INPUT

      The feature id for the 'Input' containment reference.
      See Also:
        Constant Field Values

    - #### TESTSHEET__OUTPUT

          static final int TESTSHEET__OUTPUT

      The feature id for the 'Output' containment reference.
      See Also:
        Constant Field Values

    - #### TESTSHEET__EXPECTED_OUTPUT

          static final int TESTSHEET__EXPECTED_OUTPUT

      The feature id for the 'Expected Output' containment reference.
      See Also:
        Constant Field Values

    - #### TESTSHEET__RULE_ACTIVITY

          static final int TESTSHEET__RULE_ACTIVITY

      The feature id for the 'Rule Activity' reference.
      See Also:
        Constant Field Values

    - #### TESTSHEET__RESTRICT_INFO_RULE_MESSAGES

          static final int TESTSHEET__RESTRICT_INFO_RULE_MESSAGES

      The feature id for the 'Restrict Info Rule Messages' attribute.
      See Also:
        Constant Field Values

    - #### TESTSHEET__RESTRICT_WARNING_RULE_MESSAGES

          static final int TESTSHEET__RESTRICT_WARNING_RULE_MESSAGES

      The feature id for the 'Restrict Warning Rule Messages' attribute.
      See Also:
        Constant Field Values

    - #### TESTSHEET__RESTRICT_VIOLATION_RULE_MESSAGES

          static final int TESTSHEET__RESTRICT_VIOLATION_RULE_MESSAGES

      The feature id for the 'Restrict Violation Rule Messages' attribute.
      See Also:
        Constant Field Values

    - #### TESTSHEET_FEATURE_COUNT

          static final int TESTSHEET_FEATURE_COUNT

      The number of structural features of the 'Testsheet' class.
      See Also:
        Constant Field Values

    - #### DATA_DOCUMENT

          static final int DATA_DOCUMENT

      The meta object id for the '`Data Document`' class.
      See Also:
        `DataDocumentImpl`, `TestsheetPackageImpl.getDataDocument()`, Constant Field Values

    - #### DATA_DOCUMENT_FEATURE_COUNT

          static final int DATA_DOCUMENT_FEATURE_COUNT

      The number of structural features of the 'Data Document' class.
      See Also:
        Constant Field Values

    - #### INPUT

          static final int INPUT

      The meta object id for the '`Input`' class.
      See Also:
        `InputImpl`, `TestsheetPackageImpl.getInput()`, Constant Field Values

    - #### INPUT_FEATURE_COUNT

          static final int INPUT_FEATURE_COUNT

      The number of structural features of the 'Input' class.
      See Also:
        Constant Field Values

    - #### OUTPUT

          static final int OUTPUT

      The meta object id for the '`Output`' class.
      See Also:
        `OutputImpl`, `TestsheetPackageImpl.getOutput()`, Constant Field Values

    - #### OUTPUT__POSTED_MESSAGE

          static final int OUTPUT__POSTED_MESSAGE

      The feature id for the 'Posted Message' containment reference list.
      See Also:
        Constant Field Values

    - #### OUTPUT_FEATURE_COUNT

          static final int OUTPUT_FEATURE_COUNT

      The number of structural features of the 'Output' class.
      See Also:
        Constant Field Values

    - #### POSTED_MESSAGE

          static final int POSTED_MESSAGE

      The meta object id for the '`Posted Message`' class.
      See Also:
        `PostedMessageImpl`, `TestsheetPackageImpl.getPostedMessage()`, Constant Field Values

    - #### POSTED_MESSAGE__SEVERITY

          static final int POSTED_MESSAGE__SEVERITY

      The feature id for the 'Severity' attribute.
      See Also:
        Constant Field Values

    - #### POSTED_MESSAGE__TEXT

          static final int POSTED_MESSAGE__TEXT

      The feature id for the 'Text' attribute.
      See Also:
        Constant Field Values

    - #### POSTED_MESSAGE_FEATURE_COUNT

          static final int POSTED_MESSAGE_FEATURE_COUNT

      The number of structural features of the 'Posted Message' class.
      See Also:
        Constant Field Values

    - #### DATABASE_MODE

          static final int DATABASE_MODE

      The meta object id for the '`Database Mode`' enum.
      See Also:
        `DatabaseMode`, `TestsheetPackageImpl.getDatabaseMode()`, Constant Field Values

    - #### RETURN_ENTITY_MODE

          static final int RETURN_ENTITY_MODE

      The meta object id for the '`Return Entity Mode`' enum.
      See Also:
        `ReturnEntityMode`, `TestsheetPackageImpl.getReturnEntityMode()`, Constant Field Values

  - ### Method Detail

    - #### getTestsheet

          org.eclipse.emf.ecore.EClass getTestsheet()

      Returns the meta object for class '`Testsheet`'.
      Returns:
        the meta object for class 'Testsheet'.
      See Also:
        `Testsheet`

    - #### getTestsheet_Cascade

          org.eclipse.emf.ecore.EAttribute getTestsheet_Cascade()

      Returns the meta object for the attribute '`Cascade`'.
      Returns:
        the meta object for the attribute 'Cascade'.
      See Also:
        `Testsheet.isCascade()`, `getTestsheet()`

    - #### getTestsheet_RuleActivityUpdateStamp

          org.eclipse.emf.ecore.EAttribute getTestsheet_RuleActivityUpdateStamp()

      Returns the meta object for the attribute '`Rule Activity Update Stamp`'.
      Returns:
        the meta object for the attribute 'Rule Activity Update Stamp'.
      See Also:
        `Testsheet.getRuleActivityUpdateStamp()`, `getTestsheet()`

    - #### getTestsheet_RemoteServerUri

          org.eclipse.emf.ecore.EAttribute getTestsheet_RemoteServerUri()

      Returns the meta object for the attribute '`Remote Server Uri`'.
      Returns:
        the meta object for the attribute 'Remote Server Uri'.
      See Also:
        `Testsheet.getRemoteServerUri()`, `getTestsheet()`

    - #### getTestsheet_DecisionServiceName

          org.eclipse.emf.ecore.EAttribute getTestsheet_DecisionServiceName()

      Returns the meta object for the attribute '`Decision Service Name`'.
      Returns:
        the meta object for the attribute 'Decision Service Name'.
      See Also:
        `Testsheet.getDecisionServiceName()`, `getTestsheet()`

    - #### getTestsheet_DatabaseMode

          org.eclipse.emf.ecore.EAttribute getTestsheet_DatabaseMode()

      Returns the meta object for the attribute '`Database Mode`'.
      Returns:
        the meta object for the attribute 'Database Mode'.
      See Also:
        `Testsheet.getDatabaseMode()`, `getTestsheet()`

    - #### getTestsheet_ReturnEntityMode

          org.eclipse.emf.ecore.EAttribute getTestsheet_ReturnEntityMode()

      Returns the meta object for the attribute '`Return Entity Mode`'.
      Returns:
        the meta object for the attribute 'Return Entity Mode'.
      See Also:
        `Testsheet.getReturnEntityMode()`, `getTestsheet()`

    - #### getTestsheet_Input

          org.eclipse.emf.ecore.EReference getTestsheet_Input()

      Returns the meta object for the containment reference '`Input`'.
      Returns:
        the meta object for the containment reference 'Input'.
      See Also:
        `Testsheet.getInput()`, `getTestsheet()`

    - #### getTestsheet_Output

          org.eclipse.emf.ecore.EReference getTestsheet_Output()

      Returns the meta object for the containment reference '`Output`'.
      Returns:
        the meta object for the containment reference 'Output'.
      See Also:
        `Testsheet.getOutput()`, `getTestsheet()`

    - #### getTestsheet_ExpectedOutput

          org.eclipse.emf.ecore.EReference getTestsheet_ExpectedOutput()

      Returns the meta object for the containment reference '`Expected Output`'.
      Returns:
        the meta object for the containment reference 'Expected Output'.
      See Also:
        `Testsheet.getExpectedOutput()`, `getTestsheet()`

    - #### getTestsheet_RuleActivity

          org.eclipse.emf.ecore.EReference getTestsheet_RuleActivity()

      Returns the meta object for the reference '`Rule Activity`'.
      Returns:
        the meta object for the reference 'Rule Activity'.
      See Also:
        `Testsheet.getRuleActivity()`, `getTestsheet()`

    - #### getTestsheet_RestrictInfoRuleMessages

          org.eclipse.emf.ecore.EAttribute getTestsheet_RestrictInfoRuleMessages()

      Returns the meta object for the attribute '`Restrict Info Rule Messages`'.
      Returns:
        the meta object for the attribute 'Restrict Info Rule Messages'.
      See Also:
        `Testsheet.getRestrictInfoRuleMessages()`, `getTestsheet()`

    - #### getTestsheet_RestrictWarningRuleMessages

          org.eclipse.emf.ecore.EAttribute getTestsheet_RestrictWarningRuleMessages()

      Returns the meta object for the attribute '`Restrict Warning Rule Messages`'.
      Returns:
        the meta object for the attribute 'Restrict Warning Rule Messages'.
      See Also:
        `Testsheet.getRestrictWarningRuleMessages()`, `getTestsheet()`

    - #### getTestsheet_RestrictViolationRuleMessages

          org.eclipse.emf.ecore.EAttribute getTestsheet_RestrictViolationRuleMessages()

      Returns the meta object for the attribute '`Restrict Violation Rule Messages`'.
      Returns:
        the meta object for the attribute 'Restrict Violation Rule Messages'.
      See Also:
        `Testsheet.getRestrictViolationRuleMessages()`, `getTestsheet()`

    - #### getInput

          org.eclipse.emf.ecore.EClass getInput()

      Returns the meta object for class '`Input`'.
      Returns:
        the meta object for class 'Input'.
      See Also:
        `Input`

    - #### getOutput

          org.eclipse.emf.ecore.EClass getOutput()

      Returns the meta object for class '`Output`'.
      Returns:
        the meta object for class 'Output'.
      See Also:
        `Output`

    - #### getOutput_PostedMessage

          org.eclipse.emf.ecore.EReference getOutput_PostedMessage()

      Returns the meta object for the containment reference list '`Posted Message`'.
      Returns:
        the meta object for the containment reference list 'Posted Message'.
      See Also:
        `Output.getPostedMessage()`, `getOutput()`

    - #### getDataDocument

          org.eclipse.emf.ecore.EClass getDataDocument()

      Returns the meta object for class '`Data Document`'.
      Returns:
        the meta object for class 'Data Document'.
      See Also:
        `DataDocument`

    - #### getPostedMessage

          org.eclipse.emf.ecore.EClass getPostedMessage()

      Returns the meta object for class '`Posted Message`'.
      Returns:
        the meta object for class 'Posted Message'.
      See Also:
        `PostedMessage`

    - #### getPostedMessage_Severity

          org.eclipse.emf.ecore.EAttribute getPostedMessage_Severity()

      Returns the meta object for the attribute '`Severity`'.
      Returns:
        the meta object for the attribute 'Severity'.
      See Also:
        `PostedMessage.getSeverity()`, `getPostedMessage()`

    - #### getPostedMessage_Text

          org.eclipse.emf.ecore.EAttribute getPostedMessage_Text()

      Returns the meta object for the attribute '`Text`'.
      Returns:
        the meta object for the attribute 'Text'.
      See Also:
        `PostedMessage.getText()`, `getPostedMessage()`

    - #### getDatabaseMode

          org.eclipse.emf.ecore.EEnum getDatabaseMode()

      Returns the meta object for enum '`Database Mode`'.
      Returns:
        the meta object for enum 'Database Mode'.
      See Also:
        `DatabaseMode`

    - #### getReturnEntityMode

          org.eclipse.emf.ecore.EEnum getReturnEntityMode()

      Returns the meta object for enum '`Return Entity Mode`'.
      Returns:
        the meta object for enum 'Return Entity Mode'.
      See Also:
        `ReturnEntityMode`

    - #### getTestsheetFactory

          TestsheetFactory getTestsheetFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.